import { OnInit, OnDestroy } from "@angular/core";
import { ValidationMessage } from "../../models/validationMessage";
import { Subject } from "rxjs/Subject";
export declare class ServerMessageListComponent implements OnInit, OnDestroy {
    componentName: string;
    receivedMessages: Subject<ValidationMessage[]>;
    infoMessages: ValidationMessage[];
    warningMessages: ValidationMessage[];
    errorMessages: ValidationMessage[];
    exceptionMessages: ValidationMessage[];
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    clearAll(): void;
    protected setMessages(messages: ValidationMessage[]): void;
}
