export declare class Dictionary<T extends number | string, U> {
    private keysInternal;
    private valuesInternal;
    private undefinedKeyErrorMessage;
    add(key: T, value: U): void;
    remove(key: T): boolean;
    getValue(key: T): U;
    containsKey(key: T): boolean;
    changeValueForKey(key: T, newValue: U): void;
    keys(): T[];
    values(): U[];
    count(): number;
    private isEitherUndefinedNullOrStringEmpty(object);
    private checkKeyAndPerformAction(action, key, value?);
}
