import { Injectable } from '@angular/core';
import 'rxjs/Rx';
import { HttpClient } from '@angular/common/http';
var ConfigService = (function () {
    /**
     * @param {?} http
     */
    function ConfigService(http) {
        this.http = http;
        this.config = {};
    }
    /**
     * @return {?}
     */
    ConfigService.prototype.load = function () {
        var _this = this;
        return new Promise(function (resolve) {
            _this.http.get('/nirvana.appConfig.json')
                .subscribe(function (config) {
                _this.config = config;
                resolve();
            });
        });
    };
    ConfigService.decorators = [
        { type: Injectable },
    ];
    /**
     * @nocollapse
     */
    ConfigService.ctorParameters = function () { return [
        { type: HttpClient, },
    ]; };
    return ConfigService;
}());
export { ConfigService };
function ConfigService_tsickle_Closure_declarations() {
    /** @type {?} */
    ConfigService.decorators;
    /**
     * @nocollapse
     * @type {?}
     */
    ConfigService.ctorParameters;
    /** @type {?} */
    ConfigService.prototype.config;
    /** @type {?} */
    ConfigService.prototype.http;
}
//# sourceMappingURL=config-service.js.map